Integrate API
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
  1. Webhooks
  • About webhooks
  • Update company webhooks
    PATCH
  • /Order status
  1. Webhooks

Update company webhooks

Prod Env
https://app.cubi.casa/api/integrate/v3
Prod Env
https://app.cubi.casa/api/integrate/v3
PATCH
/companies/webhook
Update delivery webhooks. Old webhooks are replaced with the new ones.

Behaviour#

The URLs you provide will be called when events for which you selected the triggers are happening.
TriggerEvent
moved_to_draftA draft order is created
moved_to_pendingAn order is confirmed (scan or blueprint is uploaded) – can be a draft order or made from scratch
moved_to_readyAn order is ready – can be first delivery or an update after a change request
moved_to_fixingA Change request is made for an order

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Body Params application/json

Examples

Responses

🟢200OK
application/json
Successful response
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://app.cubi.casa/api/integrate/v3/companies/webhook' \
--header 'api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "webhook_urls": [
        "https://domain.com/webhook",
        "https://domain.com/webhook-2"
    ],
    "webhook_triggers": [
        "moved_to_ready",
        "moved_to_fixing"
    ]
}'
Response Response Example
{
    "webhook_urls": [
        "https://domain.com/webhook",
        "https://domain.com/webhook-2"
    ],
    "webhook_triggers": [
        "moved_to_ready",
        "moved_to_fixing"
    ]
}
Modified at 2025-10-28 12:14:46
Previous
About webhooks
Next
/Order status
Built with